%global author      technomancy
%global groupId     lancet
%global artifactId  lancet
%global archivename %{author}-%{artifactId}
%global commit_hash 773e48f

Name:           %{artifactId}
Version:        1.0.1
Release:        8%{?dist}
Summary:        A build tool like Ant or Rake

Group:          Development/Languages
License:        EPL
URL:            https://github.com/%{author}/%{name}
# This is actually lancet 1.0.1; upstream mistagged it
# No public issue tracker; authors notified in private communication
# wget --content-disposition %%{url}/tarball/%%{version}
Source0:        %{archivename}-%{version}-0-g%{commit_hash}.tar.gz
# Generated using Leiningen 1.7.1
Source1:        lancet-pom.xml

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 1.5

BuildRequires:  java-devel >= 1:1.6.0

Requires:       jpackage-utils
%if 0%{?rhel}
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
%endif

Requires:       java-devel >= 1:1.6.0
Requires:       ant >= 1.8.2

%description
Lancet is a build tool like Ant or Rake. Lancet makes it
easy to create build targets: any Clojure function can be
a build target. Lancet can call Ant tasks, or shell out
and call other processes.


%prep
%setup -q -n %{archivename}-%{commit_hash}
cp -p %{SOURCE1} pom.xml


%build
jar cf %{name}.jar -C src .


%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom


%if 0%{?add_maven_depmap:1}
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%else
# some systems like RHEL do not have add_maven_depmap defined
# - probably don't need JPP/%%{name} -- do we?
%add_to_maven_depmap %{groupId} %{artifactId} %{version} JPP %{name}
%endif

%clean
rm -rf %{buildroot}

%if 0%{?rhel}
%post
%update_maven_depmap

%postun
%update_maven_depmap
%endif

%files
%doc README LICENSE
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}.jar

%changelog
* Sun Aug 04 2013 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.1-8
- Removed the Requires: ant-nodeps as the virtual provides was removed from
  ant >= 1.9.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Kushal Das <kushal@fedoraproject.org> - 1.0.1-4
- Updated URL and tag information

* Tue Jun 12 2012 Michel Salim <salimma@fedoraproject.org> - 1.0.1-3
- Adopt packaging scriptlet from upstream's Debian branch
- R: java-devel, not java - this is a build tool
- R: jpackage-utils at runtime
- Reorganize deps to match layout of Packaging:Java for easy comparison
- Switch from zip to tarball for smaller file size

* Mon Jun 11 2012 Kushal Das <kushal@fedoraproject.org> - 1.0.1-2
- Fixes after review

* Fri Jun 07 2012 Kushal Das <kushal@fedoraproject.org> - 1.0.1-1
- initial version

